> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Grants For Employee

> Lists an employee non-SCP grants with vestings and projected vested/unvested units at an optional termination date.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /platform/get-grants-for-employee
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/get-grants-for-employee:
    get:
      operationId: getGrantsForEmployee
      summary: Get Grants For Employee
      description: >-
        Lists an employee non-SCP grants with vestings and projected
        vested/unvested units at an optional termination date.


        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: employeeRoleInOrgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: terminationDate
          in: query
          required: false
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it
          schema:
            type: string
            description: >-
              NOTE(ck): a .refine() rule is not mirrored here; TGA still
              enforces it
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGrantsForEmployeeResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetGrantsForEmployeeResponse:
      type: array
      items:
        type: object
        properties:
          grantID:
            type: string
          grantName:
            type: string
          grantAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          grantDate:
            type: string
          grantStatus:
            type: string
            enum:
              - PENDING
              - REJECTED
              - ACCEPTED
              - COMPLETED
              - TERMINATED
              - PAUSED
              - MARKED_FOR_FUTURE_TERMINATION
          tokenType:
            type:
              - string
              - 'null'
          vestings:
            type: array
            items:
              type: object
              properties:
                vestingID:
                  type: string
                vestingDate:
                  type: string
                status:
                  type: string
                  enum:
                    - PENDING
                    - VESTED
                    - FORFEITED
                    - EXPIRED
                    - CANCELLED
                    - OFF_PLATFORM
                    - UNLOCKED
                    - SETTLED
                vestedUnits:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                sequence:
                  type:
                    - integer
                    - 'null'
              required:
                - vestingID
                - vestingDate
                - status
                - vestedUnits
                - sequence
          projectedVestedUnits:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          projectedUnvestedUnits:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          totalVestedUnits:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        required:
          - grantID
          - grantName
          - grantAmount
          - grantDate
          - grantStatus
          - tokenType
          - vestings
          - projectedVestedUnits
          - projectedUnvestedUnits
          - totalVestedUnits
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
